<?php
/****************************************************************************************************** 
	This class is stores user information into a User object.
******************************************************************************************************/

class User {
	
	// Variables
	var $name;
	var $password; // Encrypted password
	var $email;
	var $accessLevel; // User level of access
  var $id;
  var $steamId;
	
	// Default Constructor (PHP 5)
	function __construct() {
		$this->init();
	}
	
	// Default Constructor (PHP 4)
	function User() {
		$this->init();
	}
	
	function init() {
    $this->name = "";
		$this->password = "";
		$this->email = "";
		$this->accessLevel = -1; // Default to a defunct level
		$this->id = 0;
		$this->steamId = "";
  }
  
  /* This is the static comparing function: */
  function cmp_obj($a, $b) {
    if($a->getAccessLevel() == $b->getAccessLevel()) {
      return 0;
    } else if($a->getAccessLevel() < $b->getAccessLevel()) {
      return -1;
    } else {
      return 1;
    }
  }
	
	/************************************************************************
	Accessor Methods
	************************************************************************/
	// Accessor Method - Returns the name stored in the user object
	function getName() {
		return $this->name;
	}
		
	// Accessor Method - Returns the password stored in the user object
	function getPassword() {
		return $this->password;
	}
			
	// Accessor Method - Returns the level stored in the user object
	function getAccessLevel() {
		return $this->accessLevel;
	}
	
	// Accessor Method - Returns the email stored in the user object
	function getEmail() {
		return $this->email;
	}
	
	// Accessor Method - Returns the id stored in the user object
	function getId() {
		return $this->id;
	}
	
	// Accessor Method - Returns the id stored in the user object
	function getSteamId() {
		return $this->steamId;
	}
	
	/************************************************************************
	Mutator Methods
	************************************************************************/
	// Mutator Method - Sets the name in the user object
	function setName($name) {
		$this->name = $name;
	}
	
	// Mutator Method - Sets the password in the user object
	function setPassword($password) {
		$this->password = $password;
	}
	
	// Mutator Method - Sets the level in the user object
	function setAccessLevel($accessLevel) {
		$this->accessLevel = $accessLevel;
	}
	
	// Mutator Method - Sets the level in the user object
	function setEmail($email) {
		$this->email = $email;
	}
	
	// Mutator Method - Sets the id in the user object
	function setId($id) {
		$this->id = $id;
	}
	
	// Mutator Method - Sets the id in the user object
	function setSteamId($steamId) {
		$this->steamId = $steamId;
	}
}
?>
